<?php
include '../db/db.php';
session_start();
$log= htmlspecialchars(trim($_SESSION['user']), ENT_QUOTES, 'UTF-8');
if (empty($log)) {
	 
  $redirectUrl = "../index.php";
  echo "<script type=\"text/javascript\">";
  echo "window.location.href = '$redirectUrl'";
  echo "</script>";
	 
}else{

  $sqlu="SELECT * FROM details_of_users WHERE user='$log' and val='1'";
  $resultu=mysqli_query($conn, $sqlu);
  $countu=mysqli_num_rows($resultu);
  
	if($countu==1){
		
		if (array_key_exists('code_validation', $_POST)) {//data table

			$response = [];
			$code = htmlspecialchars(trim($_POST['code']), ENT_QUOTES, 'UTF-8');

			//echo $qty . " " . $ref;

			$sql = "SELECT * FROM items WHERE item_code = '$code'";
			$result = mysqli_query($conn, $sql);
			$rowcount=mysqli_num_rows($result);

			if ($rowcount == 0) {
				$response = 1;
			}else{
				$response = 0;
			}


			echo json_encode($response);

		}

	} else{
	  $redirectUrl = "../index.php";
	  echo "<script type=\"text/javascript\">";
	  echo "window.location.href = '$redirectUrl'";
	  echo "</script>";
	
	}
}

?>